function EvaluateShapeModelsOnCompletion(trainshapes,testshapes)
%Evaluates 3 models on the task of shape completion.  Parameters are first
%learned from training shapes, then models are evaluated on test shapes.


S = ShapeModel2ML(trainshapes); %Get covariance matrix used for Model 2

ntest=length(testshapes); %number of test shapes
show=0; %Don't plot shape completions
fraction=0.1; %evaluate on 10% completion
for i=1:ntest
    testshape=testshapes{i};
    err(i,1)=ShapeModel1Complete(testshape,fraction,show);
    err(i,2)=ShapeModel2Complete(S,testshape,fraction,show);
    err(i,3)=ShapeModel3Complete(testshape,fraction,show);
end
figure;
bar(mean(err));
hold on;
errorbar(mean(err),std(err)/sqrt(ntest),'.');
xlabel('Model');
ylabel('Root-Mean-Square error');