function ShapeModel1Sample(s,nsamples)
%Sample from Shape Model 1
%Model 1 is a multivariate isotropic normal model with only 1 parameter:
%the standard deviation.
%Since the shapes have been pre-registered to a unit circle, 
%the expected locations are regular samples along the unit circle.

len=128;%assume shapes of length 128
t=2*pi*[1:len]'/len; %sample angle regularly, starting from +x axis
mu=exp(complex(0,t)); %expected locations

nrows=ceil(sqrt(nsamples)); %number of rows in multi-panel plot
ncols=ceil(nsamples/nrows); %number of columns in multi-panel plot
figure;

for i=1:nsamples
    shape=mu+complex(normrnd(0,s,len,1),normrnd(0,s,len,1)); %sample
    subplot(nrows,ncols,i);
    plot(shape);axis image; %plot sampled shape in panel i
    axis off;
end